@echo off
SETLOCAL EnableDelayedExpansion
for %%a in (*_front.png) do (
	SET "b=%%~na"
	SET "b=!b:_front=!"
	bin\texassemble cube -y -o "!b!_cube.dds" "!b!_right.png" "!b!_left.png" "!b!_up.png" "!b!_down.png" "!b!_back.png" "!b!_front.png"
)
ENDLOCAL